import type { DisplayObject, ParsedBaseStyleProps, RenderingService } from '@antv/g';
import type { StyleRenderer } from './interfaces';
export declare class DefaultRenderer implements StyleRenderer {
    private imagePool;
    render(context: CanvasRenderingContext2D, parsedStyle: ParsedBaseStyleProps, object: DisplayObject, renderingService: RenderingService): void;
    private clearShadowAndFilter;
    private fill;
    private stroke;
    private getPattern;
    private getColor;
}
/**
 * apply before fill and stroke but only once
 */
export declare function setShadowAndFilter(object: DisplayObject, context: CanvasRenderingContext2D, hasShadow: boolean): void;
//# sourceMappingURL=Default.d.ts.map