(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@antv/g')) :
  typeof define === 'function' && define.amd ? define(['exports', '@antv/g'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.G = global.G || {}, global.G.CanvasRenderer = {}), global.window.G));
}(this, (function (exports, g) { 'use strict';

  function _regeneratorRuntime() {
    /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */

    _regeneratorRuntime = function () {
      return exports;
    };

    var exports = {},
        Op = Object.prototype,
        hasOwn = Op.hasOwnProperty,
        $Symbol = "function" == typeof Symbol ? Symbol : {},
        iteratorSymbol = $Symbol.iterator || "@@iterator",
        asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator",
        toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

    function define(obj, key, value) {
      return Object.defineProperty(obj, key, {
        value: value,
        enumerable: !0,
        configurable: !0,
        writable: !0
      }), obj[key];
    }

    try {
      define({}, "");
    } catch (err) {
      define = function (obj, key, value) {
        return obj[key] = value;
      };
    }

    function wrap(innerFn, outerFn, self, tryLocsList) {
      var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator,
          generator = Object.create(protoGenerator.prototype),
          context = new Context(tryLocsList || []);
      return generator._invoke = function (innerFn, self, context) {
        var state = "suspendedStart";
        return function (method, arg) {
          if ("executing" === state) throw new Error("Generator is already running");

          if ("completed" === state) {
            if ("throw" === method) throw arg;
            return doneResult();
          }

          for (context.method = method, context.arg = arg;;) {
            var delegate = context.delegate;

            if (delegate) {
              var delegateResult = maybeInvokeDelegate(delegate, context);

              if (delegateResult) {
                if (delegateResult === ContinueSentinel) continue;
                return delegateResult;
              }
            }

            if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) {
              if ("suspendedStart" === state) throw state = "completed", context.arg;
              context.dispatchException(context.arg);
            } else "return" === context.method && context.abrupt("return", context.arg);
            state = "executing";
            var record = tryCatch(innerFn, self, context);

            if ("normal" === record.type) {
              if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue;
              return {
                value: record.arg,
                done: context.done
              };
            }

            "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg);
          }
        };
      }(innerFn, self, context), generator;
    }

    function tryCatch(fn, obj, arg) {
      try {
        return {
          type: "normal",
          arg: fn.call(obj, arg)
        };
      } catch (err) {
        return {
          type: "throw",
          arg: err
        };
      }
    }

    exports.wrap = wrap;
    var ContinueSentinel = {};

    function Generator() {}

    function GeneratorFunction() {}

    function GeneratorFunctionPrototype() {}

    var IteratorPrototype = {};
    define(IteratorPrototype, iteratorSymbol, function () {
      return this;
    });
    var getProto = Object.getPrototypeOf,
        NativeIteratorPrototype = getProto && getProto(getProto(values([])));
    NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype);
    var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype);

    function defineIteratorMethods(prototype) {
      ["next", "throw", "return"].forEach(function (method) {
        define(prototype, method, function (arg) {
          return this._invoke(method, arg);
        });
      });
    }

    function AsyncIterator(generator, PromiseImpl) {
      function invoke(method, arg, resolve, reject) {
        var record = tryCatch(generator[method], generator, arg);

        if ("throw" !== record.type) {
          var result = record.arg,
              value = result.value;
          return value && "object" == typeof value && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) {
            invoke("next", value, resolve, reject);
          }, function (err) {
            invoke("throw", err, resolve, reject);
          }) : PromiseImpl.resolve(value).then(function (unwrapped) {
            result.value = unwrapped, resolve(result);
          }, function (error) {
            return invoke("throw", error, resolve, reject);
          });
        }

        reject(record.arg);
      }

      var previousPromise;

      this._invoke = function (method, arg) {
        function callInvokeWithMethodAndArg() {
          return new PromiseImpl(function (resolve, reject) {
            invoke(method, arg, resolve, reject);
          });
        }

        return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
      };
    }

    function maybeInvokeDelegate(delegate, context) {
      var method = delegate.iterator[context.method];

      if (undefined === method) {
        if (context.delegate = null, "throw" === context.method) {
          if (delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method)) return ContinueSentinel;
          context.method = "throw", context.arg = new TypeError("The iterator does not provide a 'throw' method");
        }

        return ContinueSentinel;
      }

      var record = tryCatch(method, delegate.iterator, context.arg);
      if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel;
      var info = record.arg;
      return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel);
    }

    function pushTryEntry(locs) {
      var entry = {
        tryLoc: locs[0]
      };
      1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry);
    }

    function resetTryEntry(entry) {
      var record = entry.completion || {};
      record.type = "normal", delete record.arg, entry.completion = record;
    }

    function Context(tryLocsList) {
      this.tryEntries = [{
        tryLoc: "root"
      }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0);
    }

    function values(iterable) {
      if (iterable) {
        var iteratorMethod = iterable[iteratorSymbol];
        if (iteratorMethod) return iteratorMethod.call(iterable);
        if ("function" == typeof iterable.next) return iterable;

        if (!isNaN(iterable.length)) {
          var i = -1,
              next = function next() {
            for (; ++i < iterable.length;) if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next;

            return next.value = undefined, next.done = !0, next;
          };

          return next.next = next;
        }
      }

      return {
        next: doneResult
      };
    }

    function doneResult() {
      return {
        value: undefined,
        done: !0
      };
    }

    return GeneratorFunction.prototype = GeneratorFunctionPrototype, define(Gp, "constructor", GeneratorFunctionPrototype), define(GeneratorFunctionPrototype, "constructor", GeneratorFunction), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) {
      var ctor = "function" == typeof genFun && genFun.constructor;
      return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name));
    }, exports.mark = function (genFun) {
      return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun;
    }, exports.awrap = function (arg) {
      return {
        __await: arg
      };
    }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
      return this;
    }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) {
      void 0 === PromiseImpl && (PromiseImpl = Promise);
      var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl);
      return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) {
        return result.done ? result.value : iter.next();
      });
    }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () {
      return this;
    }), define(Gp, "toString", function () {
      return "[object Generator]";
    }), exports.keys = function (object) {
      var keys = [];

      for (var key in object) keys.push(key);

      return keys.reverse(), function next() {
        for (; keys.length;) {
          var key = keys.pop();
          if (key in object) return next.value = key, next.done = !1, next;
        }

        return next.done = !0, next;
      };
    }, exports.values = values, Context.prototype = {
      constructor: Context,
      reset: function (skipTempReset) {
        if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined);
      },
      stop: function () {
        this.done = !0;
        var rootRecord = this.tryEntries[0].completion;
        if ("throw" === rootRecord.type) throw rootRecord.arg;
        return this.rval;
      },
      dispatchException: function (exception) {
        if (this.done) throw exception;
        var context = this;

        function handle(loc, caught) {
          return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught;
        }

        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i],
              record = entry.completion;
          if ("root" === entry.tryLoc) return handle("end");

          if (entry.tryLoc <= this.prev) {
            var hasCatch = hasOwn.call(entry, "catchLoc"),
                hasFinally = hasOwn.call(entry, "finallyLoc");

            if (hasCatch && hasFinally) {
              if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
              if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
            } else if (hasCatch) {
              if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
            } else {
              if (!hasFinally) throw new Error("try statement without catch or finally");
              if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
            }
          }
        }
      },
      abrupt: function (type, arg) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];

          if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) {
            var finallyEntry = entry;
            break;
          }
        }

        finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null);
        var record = finallyEntry ? finallyEntry.completion : {};
        return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record);
      },
      complete: function (record, afterLoc) {
        if ("throw" === record.type) throw record.arg;
        return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel;
      },
      finish: function (finallyLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel;
        }
      },
      catch: function (tryLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];

          if (entry.tryLoc === tryLoc) {
            var record = entry.completion;

            if ("throw" === record.type) {
              var thrown = record.arg;
              resetTryEntry(entry);
            }

            return thrown;
          }
        }

        throw new Error("illegal catch attempt");
      },
      delegateYield: function (iterable, resultName, nextLoc) {
        return this.delegate = {
          iterator: values(iterable),
          resultName: resultName,
          nextLoc: nextLoc
        }, "next" === this.method && (this.arg = undefined), ContinueSentinel;
      }
    }, exports;
  }

  function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
      var info = gen[key](arg);
      var value = info.value;
    } catch (error) {
      reject(error);
      return;
    }

    if (info.done) {
      resolve(value);
    } else {
      Promise.resolve(value).then(_next, _throw);
    }
  }

  function _asyncToGenerator(fn) {
    return function () {
      var self = this,
          args = arguments;
      return new Promise(function (resolve, reject) {
        var gen = fn.apply(self, args);

        function _next(value) {
          asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
        }

        function _throw(err) {
          asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
        }

        _next(undefined);
      });
    };
  }

  function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };
    return _extends.apply(this, arguments);
  }

  function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;

    _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };
    return _setPrototypeOf(o, p);
  }

  /******************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */

  function __decorate(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
      else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
      return c > 3 && r && Object.defineProperty(target, key, r), r;
  }

  function __metadata(metadataKey, metadataValue) {
      if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
  }

  var PathGeneratorFactory = g.Syringe.defineToken('');
  var PathGenerator = g.Syringe.defineToken('');

  function generatePath(context, parsedStyle) {
    var r = parsedStyle.r;
    context.arc(r, r, r, 0, Math.PI * 2, false);
  }

  function generatePath$1(context, parsedStyle) {
    var rxInPixels = parsedStyle.rx,
        ryInPixels = parsedStyle.ry;
    var rx = rxInPixels;
    var ry = ryInPixels; // @see https://developer.mozilla.org/en-US/docs/Web/API/CanvasRenderingContext2D/ellipse

    if (context.ellipse) {
      context.ellipse(rx, ry, rx, ry, 0, 0, Math.PI * 2, false);
    } else {
      // 如果不支持，则使用圆来绘制，进行变形
      var r = rx > ry ? rx : ry;
      var scaleX = rx > ry ? 1 : rx / ry;
      var scaleY = rx > ry ? ry / rx : 1;
      context.save();
      context.scale(scaleX, scaleY);
      context.arc(0, 0, r, 0, Math.PI * 2);
    }
  }

  function generatePath$2(context, parsedStyle) {
    var x1 = parsedStyle.x1,
        y1 = parsedStyle.y1,
        x2 = parsedStyle.x2,
        y2 = parsedStyle.y2,
        _parsedStyle$defX = parsedStyle.defX,
        defX = _parsedStyle$defX === void 0 ? 0 : _parsedStyle$defX,
        _parsedStyle$defY = parsedStyle.defY,
        defY = _parsedStyle$defY === void 0 ? 0 : _parsedStyle$defY,
        markerStart = parsedStyle.markerStart,
        markerEnd = parsedStyle.markerEnd,
        markerStartOffset = parsedStyle.markerStartOffset,
        markerEndOffset = parsedStyle.markerEndOffset;
    var startOffsetX = 0;
    var startOffsetY = 0;
    var endOffsetX = 0;
    var endOffsetY = 0;
    var rad = 0;
    var x;
    var y;

    if (markerStart && markerStart instanceof g.DisplayObject && markerStartOffset) {
      x = x2 - x1;
      y = y2 - y1;
      rad = Math.atan2(y, x);
      startOffsetX = Math.cos(rad) * (markerStartOffset || 0);
      startOffsetY = Math.sin(rad) * (markerStartOffset || 0);
    }

    if (markerEnd && markerEnd instanceof g.DisplayObject && markerEndOffset) {
      x = x1 - x2;
      y = y1 - y2;
      rad = Math.atan2(y, x);
      endOffsetX = Math.cos(rad) * (markerEndOffset || 0);
      endOffsetY = Math.sin(rad) * (markerEndOffset || 0);
    }

    context.moveTo(x1 - defX + startOffsetX, y1 - defY + startOffsetY);
    context.lineTo(x2 - defX + endOffsetX, y2 - defY + endOffsetY);
  }

  function generatePath$3(context, parsedStyle) {
    var _parsedStyle$defX = parsedStyle.defX,
        defX = _parsedStyle$defX === void 0 ? 0 : _parsedStyle$defX,
        _parsedStyle$defY = parsedStyle.defY,
        defY = _parsedStyle$defY === void 0 ? 0 : _parsedStyle$defY,
        markerStart = parsedStyle.markerStart,
        markerEnd = parsedStyle.markerEnd,
        markerStartOffset = parsedStyle.markerStartOffset,
        markerEndOffset = parsedStyle.markerEndOffset;
    var _parsedStyle$path = parsedStyle.path,
        curve = _parsedStyle$path.curve,
        zCommandIndexes = _parsedStyle$path.zCommandIndexes;
    var path = [].concat(curve);
    zCommandIndexes.forEach(function (zIndex, index) {
      // @ts-ignore
      path.splice(zIndex + index, 1, ['Z']);
    }); // @ts-ignore

    var isClosed = path.length && path[path.length - 1][0] === 'Z';
    var startOffsetX = 0;
    var startOffsetY = 0;
    var endOffsetX = 0;
    var endOffsetY = 0;
    var rad = 0;
    var x;
    var y;

    if (markerStart && markerStart instanceof g.DisplayObject && markerStartOffset) {
      var _markerStart$parentNo = markerStart.parentNode.getStartTangent(),
          p1 = _markerStart$parentNo[0],
          p2 = _markerStart$parentNo[1];

      x = p1[0] - p2[0];
      y = p1[1] - p2[1];
      rad = Math.atan2(y, x);
      startOffsetX = Math.cos(rad) * (markerStartOffset || 0);
      startOffsetY = Math.sin(rad) * (markerStartOffset || 0);
    }

    if (markerEnd && markerEnd instanceof g.DisplayObject && markerEndOffset) {
      var _markerEnd$parentNode = markerEnd.parentNode.getEndTangent(),
          _p = _markerEnd$parentNode[0],
          _p2 = _markerEnd$parentNode[1];

      x = _p[0] - _p2[0];
      y = _p[1] - _p2[1];
      rad = Math.atan2(y, x);
      endOffsetX = Math.cos(rad) * (markerEndOffset || 0);
      endOffsetY = Math.sin(rad) * (markerEndOffset || 0);
    }

    for (var i = 0; i < path.length; i++) {
      var params = path[i];
      var command = params[0];

      switch (command) {
        case 'M':
          context.moveTo(params[1] - defX + startOffsetX, params[2] - defY + startOffsetY);
          break;

        case 'C':
          // the last C command
          var offsetX = i === path.length - (isClosed ? 2 : 1) ? endOffsetX : 0;
          var offsetY = i === path.length - (isClosed ? 2 : 1) ? endOffsetY : 0;
          context.bezierCurveTo(params[1] - defX, params[2] - defY, params[3] - defX, params[4] - defY, params[5] - defX + offsetX, params[6] - defY + offsetY);
          break;
        // @ts-ignore

        case 'Z':
          context.closePath();
          break;
      }
    }
  }

  function generatePath$4(context, parsedStyle) {
    var _parsedStyle$defX = parsedStyle.defX,
        defX = _parsedStyle$defX === void 0 ? 0 : _parsedStyle$defX,
        _parsedStyle$defY = parsedStyle.defY,
        defY = _parsedStyle$defY === void 0 ? 0 : _parsedStyle$defY,
        markerStart = parsedStyle.markerStart,
        markerEnd = parsedStyle.markerEnd,
        markerStartOffset = parsedStyle.markerStartOffset,
        markerEndOffset = parsedStyle.markerEndOffset;
    var points = parsedStyle.points.points;
    var length = points.length;
    var x1 = points[0][0] - defX;
    var y1 = points[0][1] - defY;
    var x2 = points[length - 1][0] - defX;
    var y2 = points[length - 1][1] - defY;
    var startOffsetX = 0;
    var startOffsetY = 0;
    var endOffsetX = 0;
    var endOffsetY = 0;
    var rad = 0;
    var x;
    var y;

    if (markerStart && markerStart instanceof g.DisplayObject && markerStartOffset) {
      x = points[1][0] - points[0][0];
      y = points[1][1] - points[0][1];
      rad = Math.atan2(y, x);
      startOffsetX = Math.cos(rad) * (markerStartOffset || 0);
      startOffsetY = Math.sin(rad) * (markerStartOffset || 0);
    }

    if (markerEnd && markerEnd instanceof g.DisplayObject && markerEndOffset) {
      x = points[length - 1][0] - points[0][0];
      y = points[length - 1][1] - points[0][1];
      rad = Math.atan2(y, x);
      endOffsetX = Math.cos(rad) * (markerEndOffset || 0);
      endOffsetY = Math.sin(rad) * (markerEndOffset || 0);
    }

    context.moveTo(x1 + (startOffsetX || endOffsetX), y1 + (startOffsetY || endOffsetY));

    for (var i = 1; i < length - 1; i++) {
      var point = points[i];
      context.lineTo(point[0] - defX, point[1] - defY);
    }

    context.lineTo(x2, y2);
  }

  function generatePath$5(context, parsedStyle) {
    var _parsedStyle$defX = parsedStyle.defX,
        defX = _parsedStyle$defX === void 0 ? 0 : _parsedStyle$defX,
        _parsedStyle$defY = parsedStyle.defY,
        defY = _parsedStyle$defY === void 0 ? 0 : _parsedStyle$defY,
        markerStart = parsedStyle.markerStart,
        markerEnd = parsedStyle.markerEnd,
        markerStartOffset = parsedStyle.markerStartOffset,
        markerEndOffset = parsedStyle.markerEndOffset;
    var points = parsedStyle.points.points;
    var length = points.length;
    var x1 = points[0][0] - defX;
    var y1 = points[0][1] - defY;
    var x2 = points[length - 1][0] - defX;
    var y2 = points[length - 1][1] - defY;
    var startOffsetX = 0;
    var startOffsetY = 0;
    var endOffsetX = 0;
    var endOffsetY = 0;
    var rad = 0;
    var x;
    var y;

    if (markerStart && markerStart instanceof g.DisplayObject && markerStartOffset) {
      x = points[1][0] - points[0][0];
      y = points[1][1] - points[0][1];
      rad = Math.atan2(y, x);
      startOffsetX = Math.cos(rad) * (markerStartOffset || 0);
      startOffsetY = Math.sin(rad) * (markerStartOffset || 0);
    }

    if (markerEnd && markerEnd instanceof g.DisplayObject && markerEndOffset) {
      x = points[length - 2][0] - points[length - 1][0];
      y = points[length - 2][1] - points[length - 1][1];
      rad = Math.atan2(y, x);
      endOffsetX = Math.cos(rad) * (markerEndOffset || 0);
      endOffsetY = Math.sin(rad) * (markerEndOffset || 0);
    }

    context.moveTo(x1 + startOffsetX, y1 + startOffsetY);

    for (var i = 1; i < length - 1; i++) {
      var point = points[i];
      context.lineTo(point[0] - defX, point[1] - defY);
    }

    context.lineTo(x2 + endOffsetX, y2 + endOffsetY);
  }

  function generatePath$6(context, parsedStyle) {
    var radius = parsedStyle.radius,
        width = parsedStyle.width,
        height = parsedStyle.height;
    var w = width;
    var h = height;
    var hasRadius = radius && radius.some(function (r) {
      return r !== 0;
    });

    if (!hasRadius) {
      // Canvas support negative width/height of rect
      context.rect(0, 0, w, h);
    } else {
      var signX = width > 0 ? 1 : -1;
      var signY = height > 0 ? 1 : -1;
      var sweepFlag = signX + signY === 0;

      var _radius$map = radius.map(function (r) {
        return g.clamp(r, 0, Math.min(Math.abs(w) / 2, Math.abs(h) / 2));
      }),
          tlr = _radius$map[0],
          trr = _radius$map[1],
          brr = _radius$map[2],
          blr = _radius$map[3];

      context.moveTo(signX * tlr, 0);
      context.lineTo(w - signX * trr, 0);

      if (trr !== 0) {
        context.arc(w - signX * trr, signY * trr, trr, -signY * Math.PI / 2, signX > 0 ? 0 : Math.PI, sweepFlag);
      }

      context.lineTo(w, h - signY * brr);

      if (brr !== 0) {
        context.arc(w - signX * brr, h - signY * brr, brr, signX > 0 ? 0 : Math.PI, signY > 0 ? Math.PI / 2 : 1.5 * Math.PI, sweepFlag);
      }

      context.lineTo(signX * blr, h);

      if (blr !== 0) {
        context.arc(signX * blr, h - signY * blr, blr, signY > 0 ? Math.PI / 2 : -Math.PI / 2, signX > 0 ? Math.PI : 0, sweepFlag);
      }

      context.lineTo(0, signY * tlr);

      if (tlr !== 0) {
        context.arc(signX * tlr, signY * tlr, tlr, signX > 0 ? Math.PI : 0, signY > 0 ? Math.PI * 1.5 : Math.PI / 2, sweepFlag);
      }
    }
  }

  var containerModule = g.Module(function (register) {
    /**
     * register shape renderers
     */
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.CIRCLE
      },
      useValue: generatePath
    });
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.ELLIPSE
      },
      useValue: generatePath$1
    });
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.RECT
      },
      useValue: generatePath$6
    });
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.LINE
      },
      useValue: generatePath$2
    });
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.POLYLINE
      },
      useValue: generatePath$5
    });
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.POLYGON
      },
      useValue: generatePath$4
    });
    register({
      token: {
        token: PathGenerator,
        named: g.Shape.PATH
      },
      useValue: generatePath$3
    });
    register({
      token: PathGeneratorFactory,
      useFactory: function useFactory(ctx) {
        return function (tagName) {
          if (ctx.container.isBoundNamed(PathGenerator, tagName)) {
            return ctx.container.getNamed(PathGenerator, tagName);
          }

          return null;
        };
      }
    });
  });

  /**
   * Common utilities
   * @module glMatrix
   */
  var ARRAY_TYPE = typeof Float32Array !== 'undefined' ? Float32Array : Array;
  if (!Math.hypot) Math.hypot = function () {
    var y = 0,
        i = arguments.length;

    while (i--) {
      y += arguments[i] * arguments[i];
    }

    return Math.sqrt(y);
  };

  /**
   * 4x4 Matrix<br>Format: column-major, when typed out it looks like row-major<br>The matrices are being post multiplied.
   * @module mat4
   */

  /**
   * Creates a new identity mat4
   *
   * @returns {mat4} a new 4x4 matrix
   */

  function create() {
    var out = new ARRAY_TYPE(16);

    if (ARRAY_TYPE != Float32Array) {
      out[1] = 0;
      out[2] = 0;
      out[3] = 0;
      out[4] = 0;
      out[6] = 0;
      out[7] = 0;
      out[8] = 0;
      out[9] = 0;
      out[11] = 0;
      out[12] = 0;
      out[13] = 0;
      out[14] = 0;
    }

    out[0] = 1;
    out[5] = 1;
    out[10] = 1;
    out[15] = 1;
    return out;
  }
  /**
   * Copy the values from one mat4 to another
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the source matrix
   * @returns {mat4} out
   */

  function copy(out, a) {
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    out[3] = a[3];
    out[4] = a[4];
    out[5] = a[5];
    out[6] = a[6];
    out[7] = a[7];
    out[8] = a[8];
    out[9] = a[9];
    out[10] = a[10];
    out[11] = a[11];
    out[12] = a[12];
    out[13] = a[13];
    out[14] = a[14];
    out[15] = a[15];
    return out;
  }
  /**
   * Multiplies two mat4s
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the first operand
   * @param {ReadonlyMat4} b the second operand
   * @returns {mat4} out
   */

  function multiply(out, a, b) {
    var a00 = a[0],
        a01 = a[1],
        a02 = a[2],
        a03 = a[3];
    var a10 = a[4],
        a11 = a[5],
        a12 = a[6],
        a13 = a[7];
    var a20 = a[8],
        a21 = a[9],
        a22 = a[10],
        a23 = a[11];
    var a30 = a[12],
        a31 = a[13],
        a32 = a[14],
        a33 = a[15]; // Cache only the current line of the second matrix

    var b0 = b[0],
        b1 = b[1],
        b2 = b[2],
        b3 = b[3];
    out[0] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[1] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[2] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[3] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    b0 = b[4];
    b1 = b[5];
    b2 = b[6];
    b3 = b[7];
    out[4] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[5] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[6] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[7] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    b0 = b[8];
    b1 = b[9];
    b2 = b[10];
    b3 = b[11];
    out[8] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[9] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[10] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[11] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    b0 = b[12];
    b1 = b[13];
    b2 = b[14];
    b3 = b[15];
    out[12] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[13] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[14] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[15] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    return out;
  }
  /**
   * Translate a mat4 by the given vector
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the matrix to translate
   * @param {ReadonlyVec3} v vector to translate by
   * @returns {mat4} out
   */

  function translate(out, a, v) {
    var x = v[0],
        y = v[1],
        z = v[2];
    var a00, a01, a02, a03;
    var a10, a11, a12, a13;
    var a20, a21, a22, a23;

    if (a === out) {
      out[12] = a[0] * x + a[4] * y + a[8] * z + a[12];
      out[13] = a[1] * x + a[5] * y + a[9] * z + a[13];
      out[14] = a[2] * x + a[6] * y + a[10] * z + a[14];
      out[15] = a[3] * x + a[7] * y + a[11] * z + a[15];
    } else {
      a00 = a[0];
      a01 = a[1];
      a02 = a[2];
      a03 = a[3];
      a10 = a[4];
      a11 = a[5];
      a12 = a[6];
      a13 = a[7];
      a20 = a[8];
      a21 = a[9];
      a22 = a[10];
      a23 = a[11];
      out[0] = a00;
      out[1] = a01;
      out[2] = a02;
      out[3] = a03;
      out[4] = a10;
      out[5] = a11;
      out[6] = a12;
      out[7] = a13;
      out[8] = a20;
      out[9] = a21;
      out[10] = a22;
      out[11] = a23;
      out[12] = a00 * x + a10 * y + a20 * z + a[12];
      out[13] = a01 * x + a11 * y + a21 * z + a[13];
      out[14] = a02 * x + a12 * y + a22 * z + a[14];
      out[15] = a03 * x + a13 * y + a23 * z + a[15];
    }

    return out;
  }
  /**
   * Creates a matrix from a vector scaling
   * This is equivalent to (but much faster than):
   *
   *     mat4.identity(dest);
   *     mat4.scale(dest, dest, vec);
   *
   * @param {mat4} out mat4 receiving operation result
   * @param {ReadonlyVec3} v Scaling vector
   * @returns {mat4} out
   */

  function fromScaling(out, v) {
    out[0] = v[0];
    out[1] = 0;
    out[2] = 0;
    out[3] = 0;
    out[4] = 0;
    out[5] = v[1];
    out[6] = 0;
    out[7] = 0;
    out[8] = 0;
    out[9] = 0;
    out[10] = v[2];
    out[11] = 0;
    out[12] = 0;
    out[13] = 0;
    out[14] = 0;
    out[15] = 1;
    return out;
  }

  /**
   * 3 Dimensional Vector
   * @module vec3
   */

  /**
   * Creates a new, empty vec3
   *
   * @returns {vec3} a new 3D vector
   */

  function create$1() {
    var out = new ARRAY_TYPE(3);

    if (ARRAY_TYPE != Float32Array) {
      out[0] = 0;
      out[1] = 0;
      out[2] = 0;
    }

    return out;
  }
  /**
   * Creates a new vec3 initialized with the given values
   *
   * @param {Number} x X component
   * @param {Number} y Y component
   * @param {Number} z Z component
   * @returns {vec3} a new 3D vector
   */

  function fromValues(x, y, z) {
    var out = new ARRAY_TYPE(3);
    out[0] = x;
    out[1] = y;
    out[2] = z;
    return out;
  }
  /**
   * Transforms the vec3 with a mat4.
   * 4th vector component is implicitly '1'
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the vector to transform
   * @param {ReadonlyMat4} m matrix to transform with
   * @returns {vec3} out
   */

  function transformMat4(out, a, m) {
    var x = a[0],
        y = a[1],
        z = a[2];
    var w = m[3] * x + m[7] * y + m[11] * z + m[15];
    w = w || 1.0;
    out[0] = (m[0] * x + m[4] * y + m[8] * z + m[12]) / w;
    out[1] = (m[1] * x + m[5] * y + m[9] * z + m[13]) / w;
    out[2] = (m[2] * x + m[6] * y + m[10] * z + m[14]) / w;
    return out;
  }
  /**
   * Perform some operation over an array of vec3s.
   *
   * @param {Array} a the array of vectors to iterate over
   * @param {Number} stride Number of elements between the start of each vec3. If 0 assumes tightly packed
   * @param {Number} offset Number of elements to skip at the beginning of the array
   * @param {Number} count Number of vec3s to iterate over. If 0 iterates over entire array
   * @param {Function} fn Function to call for each vector in the array
   * @param {Object} [arg] additional argument to pass to fn
   * @returns {Array} a
   * @function
   */

  var forEach = function () {
    var vec = create$1();
    return function (a, stride, offset, count, fn, arg) {
      var i, l;

      if (!stride) {
        stride = 3;
      }

      if (!offset) {
        offset = 0;
      }

      if (count) {
        l = Math.min(count * stride + offset, a.length);
      } else {
        l = a.length;
      }

      for (i = offset; i < l; i += stride) {
        vec[0] = a[i];
        vec[1] = a[i + 1];
        vec[2] = a[i + 2];
        fn(vec, vec, arg);
        a[i] = vec[0];
        a[i + 1] = vec[1];
        a[i + 2] = vec[2];
      }

      return a;
    };
  }();

  var StyleRendererFactory = g.Syringe.defineToken('');
  var CircleRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var EllipseRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var RectRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var LineRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var PolylineRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var PolygonRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var PathRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var TextRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });
  var ImageRendererContribution = g.Syringe.defineToken('', {
    multiple: false
  });

  function _regeneratorRuntime$1() {
    /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */
    _regeneratorRuntime$1 = function _regeneratorRuntime() {
      return exports;
    };

    var exports = {},
        Op = Object.prototype,
        hasOwn = Op.hasOwnProperty,
        $Symbol = "function" == typeof Symbol ? Symbol : {},
        iteratorSymbol = $Symbol.iterator || "@@iterator",
        asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator",
        toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

    function define(obj, key, value) {
      return Object.defineProperty(obj, key, {
        value: value,
        enumerable: !0,
        configurable: !0,
        writable: !0
      }), obj[key];
    }

    try {
      define({}, "");
    } catch (err) {
      define = function define(obj, key, value) {
        return obj[key] = value;
      };
    }

    function wrap(innerFn, outerFn, self, tryLocsList) {
      var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator,
          generator = Object.create(protoGenerator.prototype),
          context = new Context(tryLocsList || []);
      return generator._invoke = function (innerFn, self, context) {
        var state = "suspendedStart";
        return function (method, arg) {
          if ("executing" === state) throw new Error("Generator is already running");

          if ("completed" === state) {
            if ("throw" === method) throw arg;
            return doneResult();
          }

          for (context.method = method, context.arg = arg;;) {
            var delegate = context.delegate;

            if (delegate) {
              var delegateResult = maybeInvokeDelegate(delegate, context);

              if (delegateResult) {
                if (delegateResult === ContinueSentinel) continue;
                return delegateResult;
              }
            }

            if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) {
              if ("suspendedStart" === state) throw state = "completed", context.arg;
              context.dispatchException(context.arg);
            } else "return" === context.method && context.abrupt("return", context.arg);
            state = "executing";
            var record = tryCatch(innerFn, self, context);

            if ("normal" === record.type) {
              if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue;
              return {
                value: record.arg,
                done: context.done
              };
            }

            "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg);
          }
        };
      }(innerFn, self, context), generator;
    }

    function tryCatch(fn, obj, arg) {
      try {
        return {
          type: "normal",
          arg: fn.call(obj, arg)
        };
      } catch (err) {
        return {
          type: "throw",
          arg: err
        };
      }
    }

    exports.wrap = wrap;
    var ContinueSentinel = {};

    function Generator() {}

    function GeneratorFunction() {}

    function GeneratorFunctionPrototype() {}

    var IteratorPrototype = {};
    define(IteratorPrototype, iteratorSymbol, function () {
      return this;
    });
    var getProto = Object.getPrototypeOf,
        NativeIteratorPrototype = getProto && getProto(getProto(values([])));
    NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype);
    var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype);

    function defineIteratorMethods(prototype) {
      ["next", "throw", "return"].forEach(function (method) {
        define(prototype, method, function (arg) {
          return this._invoke(method, arg);
        });
      });
    }

    function AsyncIterator(generator, PromiseImpl) {
      function invoke(method, arg, resolve, reject) {
        var record = tryCatch(generator[method], generator, arg);

        if ("throw" !== record.type) {
          var result = record.arg,
              value = result.value;
          return value && "object" == typeof value && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) {
            invoke("next", value, resolve, reject);
          }, function (err) {
            invoke("throw", err, resolve, reject);
          }) : PromiseImpl.resolve(value).then(function (unwrapped) {
            result.value = unwrapped, resolve(result);
          }, function (error) {
            return invoke("throw", error, resolve, reject);
          });
        }

        reject(record.arg);
      }

      var previousPromise;

      this._invoke = function (method, arg) {
        function callInvokeWithMethodAndArg() {
          return new PromiseImpl(function (resolve, reject) {
            invoke(method, arg, resolve, reject);
          });
        }

        return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
      };
    }

    function maybeInvokeDelegate(delegate, context) {
      var method = delegate.iterator[context.method];

      if (undefined === method) {
        if (context.delegate = null, "throw" === context.method) {
          if (delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method)) return ContinueSentinel;
          context.method = "throw", context.arg = new TypeError("The iterator does not provide a 'throw' method");
        }

        return ContinueSentinel;
      }

      var record = tryCatch(method, delegate.iterator, context.arg);
      if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel;
      var info = record.arg;
      return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel);
    }

    function pushTryEntry(locs) {
      var entry = {
        tryLoc: locs[0]
      };
      1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry);
    }

    function resetTryEntry(entry) {
      var record = entry.completion || {};
      record.type = "normal", delete record.arg, entry.completion = record;
    }

    function Context(tryLocsList) {
      this.tryEntries = [{
        tryLoc: "root"
      }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0);
    }

    function values(iterable) {
      if (iterable) {
        var iteratorMethod = iterable[iteratorSymbol];
        if (iteratorMethod) return iteratorMethod.call(iterable);
        if ("function" == typeof iterable.next) return iterable;

        if (!isNaN(iterable.length)) {
          var i = -1,
              next = function next() {
            for (; ++i < iterable.length;) {
              if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next;
            }

            return next.value = undefined, next.done = !0, next;
          };

          return next.next = next;
        }
      }

      return {
        next: doneResult
      };
    }

    function doneResult() {
      return {
        value: undefined,
        done: !0
      };
    }

    return GeneratorFunction.prototype = GeneratorFunctionPrototype, define(Gp, "constructor", GeneratorFunctionPrototype), define(GeneratorFunctionPrototype, "constructor", GeneratorFunction), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) {
      var ctor = "function" == typeof genFun && genFun.constructor;
      return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name));
    }, exports.mark = function (genFun) {
      return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun;
    }, exports.awrap = function (arg) {
      return {
        __await: arg
      };
    }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
      return this;
    }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) {
      void 0 === PromiseImpl && (PromiseImpl = Promise);
      var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl);
      return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) {
        return result.done ? result.value : iter.next();
      });
    }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () {
      return this;
    }), define(Gp, "toString", function () {
      return "[object Generator]";
    }), exports.keys = function (object) {
      var keys = [];

      for (var key in object) {
        keys.push(key);
      }

      return keys.reverse(), function next() {
        for (; keys.length;) {
          var key = keys.pop();
          if (key in object) return next.value = key, next.done = !1, next;
        }

        return next.done = !0, next;
      };
    }, exports.values = values, Context.prototype = {
      constructor: Context,
      reset: function reset(skipTempReset) {
        if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) {
          "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined);
        }
      },
      stop: function stop() {
        this.done = !0;
        var rootRecord = this.tryEntries[0].completion;
        if ("throw" === rootRecord.type) throw rootRecord.arg;
        return this.rval;
      },
      dispatchException: function dispatchException(exception) {
        if (this.done) throw exception;
        var context = this;

        function handle(loc, caught) {
          return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught;
        }

        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i],
              record = entry.completion;
          if ("root" === entry.tryLoc) return handle("end");

          if (entry.tryLoc <= this.prev) {
            var hasCatch = hasOwn.call(entry, "catchLoc"),
                hasFinally = hasOwn.call(entry, "finallyLoc");

            if (hasCatch && hasFinally) {
              if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
              if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
            } else if (hasCatch) {
              if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
            } else {
              if (!hasFinally) throw new Error("try statement without catch or finally");
              if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
            }
          }
        }
      },
      abrupt: function abrupt(type, arg) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];

          if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) {
            var finallyEntry = entry;
            break;
          }
        }

        finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null);
        var record = finallyEntry ? finallyEntry.completion : {};
        return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record);
      },
      complete: function complete(record, afterLoc) {
        if ("throw" === record.type) throw record.arg;
        return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel;
      },
      finish: function finish(finallyLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel;
        }
      },
      catch: function _catch(tryLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];

          if (entry.tryLoc === tryLoc) {
            var record = entry.completion;

            if ("throw" === record.type) {
              var thrown = record.arg;
              resetTryEntry(entry);
            }

            return thrown;
          }
        }

        throw new Error("illegal catch attempt");
      },
      delegateYield: function delegateYield(iterable, resultName, nextLoc) {
        return this.delegate = {
          iterator: values(iterable),
          resultName: resultName,
          nextLoc: nextLoc
        }, "next" === this.method && (this.arg = undefined), ContinueSentinel;
      }
    }, exports;
  }

  function asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, key, arg) {
    try {
      var info = gen[key](arg);
      var value = info.value;
    } catch (error) {
      reject(error);
      return;
    }

    if (info.done) {
      resolve(value);
    } else {
      Promise.resolve(value).then(_next, _throw);
    }
  }

  function _asyncToGenerator$1(fn) {
    return function () {
      var self = this,
          args = arguments;
      return new Promise(function (resolve, reject) {
        var gen = fn.apply(self, args);

        function _next(value) {
          asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, "next", value);
        }

        function _throw(err) {
          asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, "throw", err);
        }

        _next(undefined);
      });
    };
  }

  var ImagePool = /*#__PURE__*/function () {
    function ImagePool() {
      this.imageCache = {};
      this.gradientCache = {};
      this.patternCache = {};
      this.canvasConfig = void 0;
    }

    var _proto = ImagePool.prototype;

    _proto.getImageSync = function getImageSync(src, callback) {
      if (!this.imageCache[src]) {
        this.getOrCreateImage(src).then(function () {
          if (callback) {
            callback();
          }
        });
      } else {
        if (callback) {
          callback();
        }
      }

      return this.imageCache[src];
    };

    _proto.getOrCreateImage = function getOrCreateImage(src) {
      var _this = this;

      if (this.imageCache[src]) {
        return Promise.resolve(this.imageCache[src]);
      } // @see https://github.com/antvis/g/issues/938


      var createImage = this.canvasConfig.createImage;
      return new Promise(function (resolve, reject) {
        var image;

        if (createImage) {
          image = createImage(src);
        } else if (g.isBrowser) {
          image = new window.Image();
        }

        if (image) {
          image.onload = function () {
            resolve(image);
          };

          image.onerror = function (ev) {
            reject(ev);
          };

          image.crossOrigin = 'Anonymous';
          image.src = src;
          _this.imageCache[src] = image;
        }
      });
    };

    _proto.getOrCreatePatternSync = function getOrCreatePatternSync(pattern, context, callback) {
      var patternKey = this.generatePatternKey(pattern);

      if (patternKey && this.patternCache[patternKey]) {
        return this.patternCache[patternKey];
      }

      var image = pattern.image,
          repetition = pattern.repetition;
      var src; // Image URL

      if (g.isString(image)) {
        src = this.getImageSync(image, callback);
      } else {
        src = image;
      } // @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/createPattern


      var canvasPattern = src && context.createPattern(src, repetition);

      if (patternKey && canvasPattern) {
        this.patternCache[patternKey] = canvasPattern;
      }

      return canvasPattern;
    };

    _proto.getOrCreateGradient = function getOrCreateGradient(params, context) {
      var key = this.generateGradientKey(params); // @ts-ignore

      var type = params.type,
          steps = params.steps,
          width = params.width,
          height = params.height,
          angle = params.angle,
          cx = params.cx,
          cy = params.cy;

      if (this.gradientCache[key]) {
        return this.gradientCache[key];
      }

      var gradient = null;

      if (type === g.GradientType.LinearGradient) {
        var _computeLinearGradien = g.computeLinearGradient(width, height, angle),
            x1 = _computeLinearGradien.x1,
            y1 = _computeLinearGradien.y1,
            x2 = _computeLinearGradien.x2,
            y2 = _computeLinearGradien.y2; // @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/createLinearGradient


        gradient = context.createLinearGradient(x1, y1, x2, y2);
      } else if (type === g.GradientType.RadialGradient) {
        var _computeRadialGradien = g.computeRadialGradient(width, height, cx, cy),
            x = _computeRadialGradien.x,
            y = _computeRadialGradien.y,
            r = _computeRadialGradien.r; // @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/createRadialGradient


        gradient = context.createRadialGradient(x, y, 0, x, y, r);
      }

      if (gradient) {
        steps.forEach(function (_ref) {
          var _gradient;

          var offset = _ref[0],
              color = _ref[1];
          (_gradient = gradient) === null || _gradient === void 0 ? void 0 : _gradient.addColorStop(offset, color);
        });
        this.gradientCache[key] = gradient;
      }

      return this.gradientCache[key];
    };

    _proto.generateGradientKey = function generateGradientKey(params) {
      // @ts-ignore
      var type = params.type,
          width = params.width,
          height = params.height,
          steps = params.steps,
          angle = params.angle,
          cx = params.cx,
          cy = params.cy;
      return "gradient-" + type + "-" + (angle || 0) + "-" + (cx || 0) + "-" + (cy || 0) + "-" + width + "-" + height + "-" + steps.map(function (step) {
        return step.join('');
      }).join('-');
    };

    _proto.generatePatternKey = function generatePatternKey(pattern) {
      var image = pattern.image,
          repetition = pattern.repetition; // only generate cache for Image

      if (g.isString(image)) {
        return "pattern-" + image + "-" + repetition;
      }
    };

    return ImagePool;
  }();

  __decorate([g.inject(g.CanvasConfig), __metadata("design:type", Object)], ImagePool.prototype, "canvasConfig", void 0);

  ImagePool = __decorate([g.singleton()], ImagePool);

  var _class;

  var LoadImagePlugin_1;
  var LoadImagePlugin = LoadImagePlugin_1 = (_class = /*#__PURE__*/function () {
    function LoadImagePlugin() {
      this.imagePool = void 0;
      this.renderingContext = void 0;
    }

    var _proto = LoadImagePlugin.prototype;

    _proto.apply = function apply(renderingService) {
      var _this = this;

      var handleMounted = function handleMounted(e) {
        var object = e.target;
        var nodeName = object.nodeName,
            attributes = object.attributes;

        if (nodeName === g.Shape.IMAGE) {
          var img = attributes.img;

          if (g.isString(img)) {
            _this.imagePool.getImageSync(img, function () {
              // set dirty rectangle flag
              object.renderable.dirty = true;
              renderingService.dirtify();
            });
          }
        }
      };

      var handleAttributeChanged = function handleAttributeChanged(e) {
        var object = e.target;
        var attrName = e.attrName,
            newValue = e.newValue;

        if (object.nodeName === g.Shape.IMAGE) {
          if (attrName === 'img') {
            if (g.isString(newValue)) {
              _this.imagePool.getOrCreateImage(newValue).then(function () {
                // set dirty rectangle flag
                object.renderable.dirty = true;
                renderingService.dirtify();
              });
            }
          }
        }
      };

      renderingService.hooks.init.tapPromise(LoadImagePlugin_1.tag, /*#__PURE__*/_asyncToGenerator$1( /*#__PURE__*/_regeneratorRuntime$1().mark(function _callee() {
        return _regeneratorRuntime$1().wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _this.renderingContext.root.addEventListener(g.ElementEvent.MOUNTED, handleMounted);

                _this.renderingContext.root.addEventListener(g.ElementEvent.ATTR_MODIFIED, handleAttributeChanged);

              case 2:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      })));
      renderingService.hooks.destroy.tap(LoadImagePlugin_1.tag, function () {
        _this.renderingContext.root.removeEventListener(g.ElementEvent.MOUNTED, handleMounted);

        _this.renderingContext.root.removeEventListener(g.ElementEvent.ATTR_MODIFIED, handleAttributeChanged);
      });
    };

    return LoadImagePlugin;
  }(), _class.tag = 'LoadImage', _class);

  __decorate([g.inject(ImagePool), __metadata("design:type", ImagePool)], LoadImagePlugin.prototype, "imagePool", void 0);

  __decorate([g.inject(g.RenderingContext), __metadata("design:type", Object)], LoadImagePlugin.prototype, "renderingContext", void 0);

  LoadImagePlugin = LoadImagePlugin_1 = __decorate([g.singleton({
    contrib: g.RenderingPluginContribution
  })], LoadImagePlugin);
  var containerModule$1 = g.Module(function (register) {
    register(ImagePool);
    register(LoadImagePlugin);
  });

  var DefaultRenderer = /*#__PURE__*/function () {
    function DefaultRenderer() {
      this.imagePool = void 0;
    }

    var _proto = DefaultRenderer.prototype;

    _proto.render = function render(context, parsedStyle, object, renderingService) {
      var fill = parsedStyle.fill,
          opacity = parsedStyle.opacity,
          fillOpacity = parsedStyle.fillOpacity,
          stroke = parsedStyle.stroke,
          strokeOpacity = parsedStyle.strokeOpacity,
          lineWidth = parsedStyle.lineWidth,
          lineCap = parsedStyle.lineCap,
          lineJoin = parsedStyle.lineJoin,
          shadowType = parsedStyle.shadowType,
          shadowColor = parsedStyle.shadowColor,
          shadowBlur = parsedStyle.shadowBlur,
          filter = parsedStyle.filter,
          miterLimit = parsedStyle.miterLimit;
      var hasFill = !g.isNil(fill) && !fill.isNone;
      var hasStroke = !g.isNil(stroke) && !stroke.isNone && lineWidth > 0;
      var isFillTransparent = fill.alpha === 0;
      var hasFilter = !!(filter && filter.length);
      var hasShadow = !g.isNil(shadowColor) && shadowBlur > 0;
      var nodeName = object.nodeName;
      var isInnerShadow = shadowType === 'inner';
      var shouldDrawShadowWithStroke = hasStroke && hasShadow && (nodeName === g.Shape.PATH || nodeName === g.Shape.LINE || nodeName === g.Shape.POLYLINE || isFillTransparent || isInnerShadow);

      if (hasFill) {
        context.globalAlpha = opacity * fillOpacity;

        if (!shouldDrawShadowWithStroke) {
          setShadowAndFilter(object, context, hasShadow);
        }

        this.fill(context, object, fill, renderingService);

        if (!shouldDrawShadowWithStroke) {
          this.clearShadowAndFilter(context, hasFilter, hasShadow);
        }
      }

      if (hasStroke) {
        context.globalAlpha = opacity * strokeOpacity;
        context.lineWidth = lineWidth;

        if (!g.isNil(miterLimit)) {
          context.miterLimit = miterLimit;
        }

        if (!g.isNil(lineCap)) {
          context.lineCap = lineCap;
        }

        if (!g.isNil(lineJoin)) {
          context.lineJoin = lineJoin;
        }

        if (shouldDrawShadowWithStroke) {
          if (isInnerShadow) {
            context.globalCompositeOperation = 'source-atop';
          }

          setShadowAndFilter(object, context, true);

          if (isInnerShadow) {
            this.stroke(context, object, stroke, renderingService);
            context.globalCompositeOperation = 'source-over';
            this.clearShadowAndFilter(context, hasFilter, true);
          }
        }

        this.stroke(context, object, stroke, renderingService);
      }
    };

    _proto.clearShadowAndFilter = function clearShadowAndFilter(context, hasFilter, hasShadow) {
      if (hasShadow) {
        context.shadowColor = 'transparent';
        context.shadowBlur = 0;
      }

      if (hasFilter) {
        // save drop-shadow filter
        var oldFilter = context.filter;

        if (!g.isNil(oldFilter) && oldFilter.indexOf('drop-shadow') > -1) {
          context.filter = oldFilter.replace(/drop-shadow\([^)]*\)/, '').trim() || 'none';
        }
      }
    };

    _proto.fill = function fill(context, object, _fill, renderingService) {
      var _this = this;

      if (Array.isArray(_fill)) {
        _fill.forEach(function (gradient) {
          context.fillStyle = _this.getColor(gradient, object, context);
          context.fill();
        });
      } else {
        if (g.isPattern(_fill)) {
          context.fillStyle = this.getPattern(_fill, object, context, renderingService);
        }

        context.fill();
      }
    };

    _proto.stroke = function stroke(context, object, _stroke, renderingService) {
      var _this2 = this;

      if (Array.isArray(_stroke)) {
        _stroke.forEach(function (gradient) {
          context.strokeStyle = _this2.getColor(gradient, object, context);
          context.stroke();
        });
      } else {
        if (g.isPattern(_stroke)) {
          context.strokeStyle = this.getPattern(_stroke, object, context, renderingService);
        }

        context.stroke();
      }
    };

    _proto.getPattern = function getPattern(pattern, object, context, renderingService) {
      var canvasPattern = this.imagePool.getOrCreatePatternSync(pattern, context, function () {
        // set dirty rectangle flag
        object.renderable.dirty = true;
        renderingService.dirtify();
      });
      return canvasPattern;
    };

    _proto.getColor = function getColor(parsedColor, object, context) {
      var color;

      if (parsedColor.type === g.GradientType.LinearGradient || parsedColor.type === g.GradientType.RadialGradient) {
        var bounds = object.getGeometryBounds();
        var width = bounds && bounds.halfExtents[0] * 2 || 1;
        var height = bounds && bounds.halfExtents[1] * 2 || 1;
        color = this.imagePool.getOrCreateGradient(_extends({
          type: parsedColor.type
        }, parsedColor.value, {
          width: width,
          height: height
        }), context);
      }

      return color;
    };

    return DefaultRenderer;
  }();

  __decorate([g.inject(ImagePool), __metadata("design:type", ImagePool)], DefaultRenderer.prototype, "imagePool", void 0);

  DefaultRenderer = __decorate([g.singleton()], DefaultRenderer);
  /**
   * apply before fill and stroke but only once
   */

  function setShadowAndFilter(object, context, hasShadow) {
    var _object$parsedStyle = object.parsedStyle,
        filter = _object$parsedStyle.filter,
        shadowColor = _object$parsedStyle.shadowColor,
        shadowBlur = _object$parsedStyle.shadowBlur,
        shadowOffsetX = _object$parsedStyle.shadowOffsetX,
        shadowOffsetY = _object$parsedStyle.shadowOffsetY;

    if (filter && filter.length) {
      // use raw filter string
      context.filter = object.style.filter;
    }

    if (hasShadow) {
      context.shadowColor = shadowColor.toString();
      context.shadowBlur = shadowBlur || 0;
      context.shadowOffsetX = shadowOffsetX || 0;
      context.shadowOffsetY = shadowOffsetY || 0;
    }
  }

  exports.ImageRenderer = /*#__PURE__*/function () {
    function ImageRenderer() {
      this.imagePool = void 0;
    }

    var _proto = ImageRenderer.prototype;

    _proto.render = function render(context, parsedStyle, object) {
      var width = parsedStyle.width,
          height = parsedStyle.height,
          img = parsedStyle.img,
          shadowColor = parsedStyle.shadowColor,
          shadowBlur = parsedStyle.shadowBlur;
      var image;
      var iw = width;
      var ih = height;

      if (g.isString(img)) {
        // image has been loaded in `mounted` hook
        image = this.imagePool.getImageSync(img);
      } else {
        iw || (iw = img.width);
        ih || (ih = img.height);
        image = img;
      }

      if (image) {
        var hasShadow = !g.isNil(shadowColor) && shadowBlur > 0;
        setShadowAndFilter(object, context, hasShadow); // node-canvas will throw the following err:
        // Error: Image given has not completed loading

        try {
          context.drawImage(image, 0, 0, iw, ih);
        } catch (e) {}
      }
    };

    return ImageRenderer;
  }();

  __decorate([g.inject(ImagePool), __metadata("design:type", ImagePool)], exports.ImageRenderer.prototype, "imagePool", void 0);

  exports.ImageRenderer = __decorate([g.singleton({
    token: ImageRendererContribution
  })], exports.ImageRenderer);

  exports.TextRenderer = /*#__PURE__*/function () {
    function TextRenderer() {}

    var _proto = TextRenderer.prototype;

    _proto.render = function render(context, parsedStyle, object) {
      var lineWidth = parsedStyle.lineWidth,
          textAlign = parsedStyle.textAlign,
          textBaseline = parsedStyle.textBaseline,
          lineJoin = parsedStyle.lineJoin,
          miterLimit = parsedStyle.miterLimit,
          letterSpacing = parsedStyle.letterSpacing,
          stroke = parsedStyle.stroke,
          fill = parsedStyle.fill,
          fillOpacity = parsedStyle.fillOpacity,
          strokeOpacity = parsedStyle.strokeOpacity,
          opacity = parsedStyle.opacity,
          metrics = parsedStyle.metrics,
          dx = parsedStyle.dx,
          dy = parsedStyle.dy,
          shadowColor = parsedStyle.shadowColor,
          shadowBlur = parsedStyle.shadowBlur;
      var font = metrics.font,
          lines = metrics.lines,
          height = metrics.height,
          lineHeight = metrics.lineHeight,
          lineMetrics = metrics.lineMetrics;
      context.font = font;
      context.lineWidth = lineWidth;
      context.textAlign = textAlign;
      context.textBaseline = textBaseline;
      context.lineJoin = lineJoin;

      if (!g.isNil(miterLimit)) {
        context.miterLimit = miterLimit;
      }

      var linePositionY = 0; // handle vertical text baseline

      if (textBaseline === 'middle') {
        linePositionY = -height / 2 - lineHeight / 2;
      } else if (textBaseline === 'bottom' || textBaseline === 'alphabetic' || textBaseline === 'ideographic') {
        linePositionY = -height;
      } else if (textBaseline === 'top' || textBaseline === 'hanging') {
        linePositionY = -lineHeight;
      } // account for dx & dy


      var offsetX = dx || 0;
      linePositionY += dy || 0;
      var hasShadow = !g.isNil(shadowColor) && shadowBlur > 0;
      setShadowAndFilter(object, context, hasShadow); // draw lines line by line

      for (var i = 0; i < lines.length; i++) {
        var linePositionX = lineWidth / 2 + offsetX;
        linePositionY += lineHeight; // no need to re-position X, cause we already set text align
        // @see https://developer.mozilla.org/en-US/docs/Web/API/CanvasRenderingContext2D/textAlign

        if (!g.isNil(stroke) && !stroke.isNone && lineWidth) {
          this.drawLetterSpacing(context, lines[i], lineMetrics[i], textAlign, linePositionX, linePositionY, letterSpacing, fillOpacity, strokeOpacity, opacity, true);
        }

        if (!g.isNil(fill)) {
          this.drawLetterSpacing(context, lines[i], lineMetrics[i], textAlign, linePositionX, linePositionY, letterSpacing, fillOpacity, strokeOpacity, opacity);
        }
      }
    };

    _proto.drawLetterSpacing = function drawLetterSpacing(context, text, lineMetrics, textAlign, x, y, letterSpacing, fillOpacity, strokeOpacity, opacity, isStroke) {
      if (isStroke === void 0) {
        isStroke = false;
      }

      // letterSpacing of 0 means normal, render all texts directly
      if (letterSpacing === 0) {
        if (isStroke) {
          this.strokeText(context, text, x, y, strokeOpacity);
        } else {
          this.fillText(context, text, x, y, fillOpacity, opacity);
        }

        return;
      } // draw text using left align


      var currentTextAlign = context.textAlign;
      context.textAlign = 'left';
      var currentPosition = x;

      if (textAlign === 'center') {
        currentPosition = x - lineMetrics.width / 2;
      } else if (textAlign === 'right' || textAlign === 'end') {
        currentPosition = x - lineMetrics.width;
      }

      var stringArray = Array.from(text);
      var previousWidth = context.measureText(text).width;
      var currentWidth = 0;

      for (var i = 0; i < stringArray.length; ++i) {
        var currentChar = stringArray[i];

        if (isStroke) {
          this.strokeText(context, currentChar, currentPosition, y, strokeOpacity);
        } else {
          this.fillText(context, currentChar, currentPosition, y, fillOpacity, opacity);
        }

        currentWidth = context.measureText(text.substring(i + 1)).width;
        currentPosition += previousWidth - currentWidth + letterSpacing;
        previousWidth = currentWidth;
      }

      context.textAlign = currentTextAlign;
    };

    _proto.fillText = function fillText(context, text, x, y, fillOpacity, opacity) {
      var currentGlobalAlpha;
      var applyOpacity = !g.isNil(fillOpacity) && fillOpacity !== 1;

      if (applyOpacity) {
        currentGlobalAlpha = context.globalAlpha;
        context.globalAlpha = fillOpacity * opacity;
      }

      context.fillText(text, x, y);

      if (applyOpacity) {
        context.globalAlpha = currentGlobalAlpha;
      }
    };

    _proto.strokeText = function strokeText(context, text, x, y, strokeOpacity) {
      var currentGlobalAlpha;
      var applyOpacity = !g.isNil(strokeOpacity) && strokeOpacity !== 1;

      if (applyOpacity) {
        currentGlobalAlpha = context.globalAlpha;
        context.globalAlpha = strokeOpacity;
      }

      context.strokeText(text, x, y);

      if (applyOpacity) {
        context.globalAlpha = currentGlobalAlpha;
      }
    };

    return TextRenderer;
  }();

  exports.TextRenderer = __decorate([g.singleton({
    token: TextRendererContribution
  })], exports.TextRenderer);

  exports.RectRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(RectRenderer, _DefaultRenderer);

    function RectRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return RectRenderer;
  }(DefaultRenderer);

  exports.RectRenderer = __decorate([g.singleton({
    token: RectRendererContribution
  })], exports.RectRenderer);

  exports.CircleRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(CircleRenderer, _DefaultRenderer);

    function CircleRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return CircleRenderer;
  }(DefaultRenderer);

  exports.CircleRenderer = __decorate([g.singleton({
    token: CircleRendererContribution
  })], exports.CircleRenderer);

  exports.EllipseRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(EllipseRenderer, _DefaultRenderer);

    function EllipseRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return EllipseRenderer;
  }(DefaultRenderer);

  exports.EllipseRenderer = __decorate([g.singleton({
    token: EllipseRendererContribution
  })], exports.EllipseRenderer);

  exports.LineRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(LineRenderer, _DefaultRenderer);

    function LineRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return LineRenderer;
  }(DefaultRenderer);

  exports.LineRenderer = __decorate([g.singleton({
    token: LineRendererContribution
  })], exports.LineRenderer);

  exports.PolylineRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(PolylineRenderer, _DefaultRenderer);

    function PolylineRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return PolylineRenderer;
  }(DefaultRenderer);

  exports.PolylineRenderer = __decorate([g.singleton({
    token: PolylineRendererContribution
  })], exports.PolylineRenderer);

  exports.PolygonRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(PolygonRenderer, _DefaultRenderer);

    function PolygonRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return PolygonRenderer;
  }(DefaultRenderer);

  exports.PolygonRenderer = __decorate([g.singleton({
    token: PolygonRendererContribution
  })], exports.PolygonRenderer);

  exports.PathRenderer = /*#__PURE__*/function (_DefaultRenderer) {
    _inheritsLoose(PathRenderer, _DefaultRenderer);

    function PathRenderer() {
      return _DefaultRenderer.apply(this, arguments) || this;
    }

    return PathRenderer;
  }(DefaultRenderer);

  exports.PathRenderer = __decorate([g.singleton({
    token: PathRendererContribution
  })], exports.PathRenderer);

  var CanvasRendererPluginOptions = g.Syringe.defineToken('');

  var _class$1;

  var CanvasRendererPlugin_1;
  /**
   * support 2 modes in rendering:
   * * immediate
   * * delayed: render at the end of frame with dirty-rectangle
   */

  var CanvasRendererPlugin = CanvasRendererPlugin_1 = (_class$1 = /*#__PURE__*/function () {
    function CanvasRendererPlugin() {
      this.canvasConfig = void 0;
      this.camera = void 0;
      this.contextService = void 0;
      this.renderingContext = void 0;
      this.pathGeneratorFactory = void 0;
      this.pathGeneratorFactoryCache = {};
      this.styleRendererFactory = void 0;
      this.styleRendererFactoryCache = {};
      this.displayObjectPool = void 0;
      this.canvasRendererPluginOptions = void 0;
      this.rBush = void 0;
      this.removedRBushNodeAABBs = [];
      this.renderQueue = [];
      this.restoreStack = [];
      this.clearFullScreen = false;
      this.vpMatrix = create();
      this.dprMatrix = create();
      this.tmpMat4 = create();
      this.vec3a = create$1();
      this.vec3b = create$1();
      this.vec3c = create$1();
      this.vec3d = create$1();
    }

    var _proto = CanvasRendererPlugin.prototype;

    _proto.apply = function apply(renderingService) {
      var _this = this;

      var canvas = this.renderingContext.root.ownerDocument.defaultView;

      var handleUnmounted = function handleUnmounted(e) {
        var object = e.target; // remove r-bush node
        // @ts-ignore

        var rBushNode = object.rBushNode;

        if (rBushNode.aabb) {
          // save removed aabbs for dirty-rectangle rendering later
          _this.removedRBushNodeAABBs.push(rBushNode.aabb);
        }
      };

      var handleCulled = function handleCulled(e) {
        var object = e.target; // @ts-ignore

        var rBushNode = object.rBushNode;

        if (rBushNode.aabb) {
          // save removed aabbs for dirty-rectangle rendering later
          _this.removedRBushNodeAABBs.push(rBushNode.aabb);
        }
      };

      renderingService.hooks.init.tapPromise(CanvasRendererPlugin_1.tag, /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
        var dpr, _this$canvasConfig, width, height, context;

        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _this.renderingContext.root.addEventListener(g.ElementEvent.UNMOUNTED, handleUnmounted);

                _this.renderingContext.root.addEventListener(g.ElementEvent.CULLED, handleCulled); // clear fullscreen


                dpr = _this.contextService.getDPR();
                _this$canvasConfig = _this.canvasConfig, width = _this$canvasConfig.width, height = _this$canvasConfig.height;
                context = _this.contextService.getContext();

                _this.clearRect(context, 0, 0, width * dpr, height * dpr);

                fromScaling(_this.dprMatrix, fromValues(dpr, dpr, 1));

              case 7:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      })));
      renderingService.hooks.destroy.tap(CanvasRendererPlugin_1.tag, function () {
        _this.renderingContext.root.removeEventListener(g.ElementEvent.UNMOUNTED, handleUnmounted);

        _this.renderingContext.root.removeEventListener(g.ElementEvent.CULLED, handleCulled);
      });
      renderingService.hooks.beginFrame.tap(CanvasRendererPlugin_1.tag, function () {
        var context = _this.contextService.getContext();

        var dpr = _this.contextService.getDPR();

        var _this$canvasConfig2 = _this.canvasConfig,
            width = _this$canvasConfig2.width,
            height = _this$canvasConfig2.height;
        var _this$canvasRendererP = _this.canvasRendererPluginOptions,
            dirtyObjectNumThreshold = _this$canvasRendererP.dirtyObjectNumThreshold,
            dirtyObjectRatioThreshold = _this$canvasRendererP.dirtyObjectRatioThreshold; // some heuristic conditions such as 80% object changed

        var _renderingService$get = renderingService.getStats(),
            total = _renderingService$get.total,
            rendered = _renderingService$get.rendered;

        var ratio = rendered / total;
        _this.clearFullScreen = renderingService.disableDirtyRectangleRendering() || rendered > dirtyObjectNumThreshold && ratio > dirtyObjectRatioThreshold;

        if (context) {
          context.resetTransform();

          if (_this.clearFullScreen) {
            _this.clearRect(context, 0, 0, width * dpr, height * dpr);
          }
        }
      });

      var renderByZIndex = function renderByZIndex(object) {
        if (object.isVisible() && !object.isCulled()) {
          _this.renderDisplayObject(object, renderingService); // if we did a full screen rendering last frame


          _this.saveDirtyAABB(object);
        }

        var sorted = object.sortable.sorted || object.childNodes; // should account for z-index

        sorted.forEach(function (child) {
          renderByZIndex(child);
        });
      }; // render at the end of frame


      renderingService.hooks.endFrame.tap(CanvasRendererPlugin_1.tag, function () {
        var context = _this.contextService.getContext(); // clear & clip dirty rectangle


        multiply(_this.vpMatrix, _this.dprMatrix, _this.camera.getOrthoMatrix());

        if (_this.clearFullScreen) {
          renderByZIndex(_this.renderingContext.root);
        } else {
          // merge removed AABB
          var dirtyRenderBounds = _this.safeMergeAABB.apply(_this, [_this.mergeDirtyAABBs(_this.renderQueue)].concat(_this.removedRBushNodeAABBs.map(function (_ref2) {
            var minX = _ref2.minX,
                minY = _ref2.minY,
                maxX = _ref2.maxX,
                maxY = _ref2.maxY;
            var aabb = new g.AABB();
            aabb.setMinMax(fromValues(minX, minY, 0), fromValues(maxX, maxY, 0));
            return aabb;
          })));

          _this.removedRBushNodeAABBs = [];

          if (g.AABB.isEmpty(dirtyRenderBounds)) {
            _this.renderQueue = [];
            return;
          }

          var dirtyRect = _this.convertAABB2Rect(dirtyRenderBounds);

          var x = dirtyRect.x,
              y = dirtyRect.y,
              width = dirtyRect.width,
              height = dirtyRect.height;
          var tl = transformMat4(_this.vec3a, fromValues(x, y, 0), _this.vpMatrix);
          var tr = transformMat4(_this.vec3b, fromValues(x + width, y, 0), _this.vpMatrix);
          var bl = transformMat4(_this.vec3c, fromValues(x, y + height, 0), _this.vpMatrix);
          var br = transformMat4(_this.vec3d, fromValues(x + width, y + height, 0), _this.vpMatrix);
          var minx = Math.min(tl[0], tr[0], br[0], bl[0]);
          var miny = Math.min(tl[1], tr[1], br[1], bl[1]);
          var maxx = Math.max(tl[0], tr[0], br[0], bl[0]);
          var maxy = Math.max(tl[1], tr[1], br[1], bl[1]);
          var ix = Math.floor(minx);
          var iy = Math.floor(miny);
          var iwidth = Math.ceil(maxx - minx);
          var iheight = Math.ceil(maxy - miny);
          context.save();

          _this.clearRect(context, ix, iy, iwidth, iheight);

          context.beginPath();
          context.rect(ix, iy, iwidth, iheight);
          context.clip(); // @see https://developer.mozilla.org/en-US/docs/Web/API/Canvas_API/Tutorial/Transformations

          context.setTransform(_this.vpMatrix[0], _this.vpMatrix[1], _this.vpMatrix[4], _this.vpMatrix[5], _this.vpMatrix[12], _this.vpMatrix[13]); // draw dirty rectangle

          var _this$canvasConfig$re = _this.canvasConfig.renderer.getConfig(),
              enableDirtyRectangleRenderingDebug = _this$canvasConfig$re.enableDirtyRectangleRenderingDebug;

          if (enableDirtyRectangleRenderingDebug) {
            canvas.dispatchEvent(new g.CustomEvent(g.CanvasEvent.DIRTY_RECTANGLE, {
              dirtyRect: {
                x: ix,
                y: iy,
                width: iwidth,
                height: iheight
              }
            }));
          } // search objects intersect with dirty rectangle


          var dirtyObjects = _this.searchDirtyObjects(dirtyRenderBounds); // do rendering


          dirtyObjects // sort by z-index
          .sort(function (a, b) {
            return a.sortable.renderOrder - b.sortable.renderOrder;
          }).forEach(function (object) {
            // culled object should not be rendered
            if (object && object.isVisible() && !object.isCulled()) {
              _this.renderDisplayObject(object, renderingService);
            }
          });
          context.restore(); // save dirty AABBs in last frame

          _this.renderQueue.forEach(function (object) {
            _this.saveDirtyAABB(object);
          }); // clear queue


          _this.renderQueue = [];
        } // pop restore stack, eg. root -> parent -> child


        _this.restoreStack.forEach(function () {
          context.restore();
        }); // clear restore stack


        _this.restoreStack = [];
      });
      renderingService.hooks.render.tap(CanvasRendererPlugin_1.tag, function (object) {
        if (!_this.clearFullScreen) {
          // render at the end of frame
          _this.renderQueue.push(object);
        }
      });
    };

    _proto.clearRect = function clearRect(context, x, y, width, height) {
      // clearRect is faster than fillRect @see https://stackoverflow.com/a/30830253
      context.clearRect(x, y, width, height);
      var background = this.canvasConfig.background;

      if (background) {
        context.fillStyle = background;
        context.fillRect(x, y, width, height);
      }
    };

    _proto.renderDisplayObject = function renderDisplayObject(object, renderingService) {
      var context = this.contextService.getContext();
      var nodeName = object.nodeName; // restore to its ancestor

      var parent = this.restoreStack[this.restoreStack.length - 1];

      if (parent && !(object.compareDocumentPosition(parent) & Node.DOCUMENT_POSITION_CONTAINS)) {
        context.restore();
        this.restoreStack.pop();
      } // while (parent && object.parentNode !== parent) {
      //   context.restore();
      //   this.restoreStack.pop();
      //   parent = this.restoreStack[this.restoreStack.length - 1];
      // }


      if (this.styleRendererFactoryCache[nodeName] === undefined) {
        this.styleRendererFactoryCache[nodeName] = this.styleRendererFactory(nodeName);
      }

      var styleRenderer = this.styleRendererFactoryCache[nodeName];

      if (this.pathGeneratorFactoryCache[nodeName] === undefined) {
        this.pathGeneratorFactoryCache[nodeName] = this.pathGeneratorFactory(nodeName);
      }

      var generatePath = this.pathGeneratorFactoryCache[nodeName]; // clip path

      var clipPathShape = object.parsedStyle.clipPath;

      if (clipPathShape) {
        this.applyWorldTransform(context, clipPathShape, object.getWorldTransform()); // generate path in local space

        if (this.pathGeneratorFactoryCache[clipPathShape.nodeName] === undefined) {
          this.pathGeneratorFactoryCache[clipPathShape.nodeName] = this.pathGeneratorFactory(clipPathShape.nodeName);
        }

        var _generatePath = this.pathGeneratorFactoryCache[clipPathShape.nodeName];

        if (_generatePath) {
          context.save(); // save clip

          this.restoreStack.push(object);
          context.beginPath();

          _generatePath(context, clipPathShape.parsedStyle);

          context.closePath();
          context.clip();
        }
      } // fill & stroke


      if (styleRenderer) {
        this.applyWorldTransform(context, object);
        context.save(); // apply attributes to context

        this.applyAttributesToContext(context, object);
      }

      if (generatePath) {
        context.beginPath();
        generatePath(context, object.parsedStyle);

        if (object.nodeName !== g.Shape.LINE && object.nodeName !== g.Shape.PATH && object.nodeName !== g.Shape.POLYLINE) {
          context.closePath();
        }
      } // fill & stroke


      if (styleRenderer) {
        styleRenderer.render(context, object.parsedStyle, object, renderingService); // restore applied attributes, eg. shadowBlur shadowColor...

        context.restore();
      } // finish rendering, clear dirty flag


      object.renderable.dirty = false;
    };

    _proto.convertAABB2Rect = function convertAABB2Rect(aabb) {
      var min = aabb.getMin();
      var max = aabb.getMax(); // expand the rectangle a bit to avoid artifacts
      // @see https://www.yuque.com/antv/ou292n/bi8nix#ExvCu

      var minX = Math.floor(min[0]);
      var minY = Math.floor(min[1]);
      var maxX = Math.ceil(max[0]);
      var maxY = Math.ceil(max[1]);
      var width = maxX - minX;
      var height = maxY - minY;
      return {
        x: minX,
        y: minY,
        width: width,
        height: height
      };
    }
    /**
     * TODO: merge dirty rectangles with some strategies.
     * For now, we just simply merge all the rectangles into one.
     * @see https://idom.me/articles/841.html
     */
    ;

    _proto.mergeDirtyAABBs = function mergeDirtyAABBs(dirtyObjects) {
      // merge into a big AABB
      // TODO: skip descendant if ancestor is caculated, but compareNodePosition is really slow
      var aabb = new g.AABB();
      dirtyObjects.forEach(function (object) {
        var renderBounds = object.getRenderBounds();
        aabb.add(renderBounds);
        var dirtyRenderBounds = object.renderable.dirtyRenderBounds;

        if (dirtyRenderBounds) {
          aabb.add(dirtyRenderBounds);
        }
      });
      return aabb;
    };

    _proto.searchDirtyObjects = function searchDirtyObjects(dirtyRectangle) {
      var _this2 = this;

      // search in r-tree, get all affected nodes
      var _dirtyRectangle$getMi = dirtyRectangle.getMin(),
          minX = _dirtyRectangle$getMi[0],
          minY = _dirtyRectangle$getMi[1];

      var _dirtyRectangle$getMa = dirtyRectangle.getMax(),
          maxX = _dirtyRectangle$getMa[0],
          maxY = _dirtyRectangle$getMa[1];

      var rBushNodes = this.rBush.search({
        minX: minX,
        minY: minY,
        maxX: maxX,
        maxY: maxY
      });
      return rBushNodes.map(function (_ref3) {
        var id = _ref3.id;
        return _this2.displayObjectPool.getByEntity(id);
      });
    };

    _proto.saveDirtyAABB = function saveDirtyAABB(object) {
      var renderable = object.renderable;

      if (!renderable.dirtyRenderBounds) {
        renderable.dirtyRenderBounds = new g.AABB();
      }

      var renderBounds = object.getRenderBounds();

      if (renderBounds) {
        // save last dirty aabb
        renderable.dirtyRenderBounds.update(renderBounds.center, renderBounds.halfExtents);
      }
    }
    /**
     * TODO: batch the same global attributes
     */
    ;

    _proto.applyAttributesToContext = function applyAttributesToContext(context, object) {
      var _object$parsedStyle = object.parsedStyle,
          stroke = _object$parsedStyle.stroke,
          fill = _object$parsedStyle.fill,
          opacity = _object$parsedStyle.opacity,
          lineDash = _object$parsedStyle.lineDash,
          lineDashOffset = _object$parsedStyle.lineDashOffset; // @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/setLineDash

      if (lineDash) {
        context.setLineDash(lineDash);
      } // @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/lineDashOffset


      if (!g.isNil(lineDashOffset)) {
        context.lineDashOffset = lineDashOffset;
      }

      if (!g.isNil(opacity)) {
        context.globalAlpha *= opacity;
      }

      if (!g.isNil(stroke) && !Array.isArray(stroke) && !stroke.isNone) {
        context.strokeStyle = object.attributes.stroke;
      }

      if (!g.isNil(fill) && !Array.isArray(fill) && !fill.isNone) {
        context.fillStyle = object.attributes.fill;
      }
    };

    _proto.applyWorldTransform = function applyWorldTransform(context, object, matrix) {
      var tx = 0;
      var ty = 0;

      var _ref4 = object.parsedStyle || {},
          anchor = _ref4.anchor;

      var anchorX = anchor && anchor[0] || 0;
      var anchorY = anchor && anchor[1] || 0;

      if (anchorX !== 0 || anchorY !== 0) {
        var bounds = object.getGeometryBounds();
        var width = bounds && bounds.halfExtents[0] * 2 || 0;
        var height = bounds && bounds.halfExtents[1] * 2 || 0;
        tx = -(anchorX * width);
        ty = -(anchorY * height);
      } // apply clip shape's RTS


      if (matrix) {
        copy(this.tmpMat4, object.getLocalTransform());
        this.vec3a[0] = tx;
        this.vec3a[1] = ty;
        this.vec3a[2] = 0;
        translate(this.tmpMat4, this.tmpMat4, this.vec3a);
        multiply(this.tmpMat4, matrix, this.tmpMat4);
        multiply(this.tmpMat4, this.vpMatrix, this.tmpMat4);
      } else {
        // apply RTS transformation in world space
        copy(this.tmpMat4, object.getWorldTransform());
        this.vec3a[0] = tx;
        this.vec3a[1] = ty;
        this.vec3a[2] = 0;
        translate(this.tmpMat4, this.tmpMat4, this.vec3a);
        multiply(this.tmpMat4, this.vpMatrix, this.tmpMat4);
      } // @see https://developer.mozilla.org/en-US/docs/Web/API/Canvas_API/Tutorial/Transformations


      context.setTransform(this.tmpMat4[0], this.tmpMat4[1], this.tmpMat4[4], this.tmpMat4[5], this.tmpMat4[12], this.tmpMat4[13]);
    };

    _proto.safeMergeAABB = function safeMergeAABB() {
      var merged = new g.AABB();

      for (var _len = arguments.length, aabbs = new Array(_len), _key = 0; _key < _len; _key++) {
        aabbs[_key] = arguments[_key];
      }

      aabbs.forEach(function (aabb) {
        merged.add(aabb);
      });
      return merged;
    };

    return CanvasRendererPlugin;
  }(), _class$1.tag = 'CanvasRenderer', _class$1);

  __decorate([g.inject(g.CanvasConfig), __metadata("design:type", Object)], CanvasRendererPlugin.prototype, "canvasConfig", void 0);

  __decorate([g.inject(g.DefaultCamera), __metadata("design:type", g.Camera)], CanvasRendererPlugin.prototype, "camera", void 0);

  __decorate([g.inject(g.ContextService), __metadata("design:type", Object)], CanvasRendererPlugin.prototype, "contextService", void 0);

  __decorate([g.inject(g.RenderingContext), __metadata("design:type", Object)], CanvasRendererPlugin.prototype, "renderingContext", void 0);

  __decorate([g.inject(PathGeneratorFactory), __metadata("design:type", Function)], CanvasRendererPlugin.prototype, "pathGeneratorFactory", void 0);

  __decorate([g.inject(StyleRendererFactory), __metadata("design:type", Function)], CanvasRendererPlugin.prototype, "styleRendererFactory", void 0);

  __decorate([g.inject(g.DisplayObjectPool), __metadata("design:type", g.DisplayObjectPool)], CanvasRendererPlugin.prototype, "displayObjectPool", void 0);

  __decorate([g.inject(CanvasRendererPluginOptions), __metadata("design:type", Object)], CanvasRendererPlugin.prototype, "canvasRendererPluginOptions", void 0);

  __decorate([g.inject(g.RBushRoot), __metadata("design:type", g.RBush)], CanvasRendererPlugin.prototype, "rBush", void 0);

  CanvasRendererPlugin = CanvasRendererPlugin_1 = __decorate([g.singleton({
    contrib: g.RenderingPluginContribution
  })], CanvasRendererPlugin);

  var containerModule$2 = g.Module(function (register) {
    var _shape2Token;

    register(exports.CircleRenderer);
    register(exports.EllipseRenderer);
    register(exports.RectRenderer);
    register(exports.ImageRenderer);
    register(exports.TextRenderer);
    register(exports.LineRenderer);
    register(exports.PolylineRenderer);
    register(exports.PolygonRenderer);
    register(exports.PathRenderer);
    var shape2Token = (_shape2Token = {}, _shape2Token[g.Shape.CIRCLE] = CircleRendererContribution, _shape2Token[g.Shape.ELLIPSE] = EllipseRendererContribution, _shape2Token[g.Shape.RECT] = RectRendererContribution, _shape2Token[g.Shape.IMAGE] = ImageRendererContribution, _shape2Token[g.Shape.TEXT] = TextRendererContribution, _shape2Token[g.Shape.LINE] = LineRendererContribution, _shape2Token[g.Shape.POLYLINE] = PolylineRendererContribution, _shape2Token[g.Shape.POLYGON] = PolygonRendererContribution, _shape2Token[g.Shape.PATH] = PathRendererContribution, _shape2Token);
    register({
      token: StyleRendererFactory,
      useFactory: function useFactory(ctx) {
        return function (tagName) {
          var token = shape2Token[tagName];

          if (token && ctx.container.isBound(token)) {
            return ctx.container.get(token);
          }

          return null;
        };
      }
    });
    register(CanvasRendererPlugin);
  });
  var Plugin = /*#__PURE__*/function (_AbstractRendererPlug) {
    _inheritsLoose(Plugin, _AbstractRendererPlug);

    function Plugin(options) {
      var _this;

      if (options === void 0) {
        options = {};
      }

      _this = _AbstractRendererPlug.call(this) || this;
      _this.options = void 0;
      _this.name = 'canvas-renderer';
      _this.options = options;
      return _this;
    }

    var _proto = Plugin.prototype;

    _proto.init = function init() {
      this.container.register(CanvasRendererPluginOptions, {
        useValue: _extends({
          dirtyObjectNumThreshold: 500,
          dirtyObjectRatioThreshold: 0.8
        }, this.options)
      });
      this.container.load(containerModule$2, true);
    };

    _proto.destroy = function destroy() {
      this.container.unload(containerModule$2);
      this.container.remove(CanvasRendererPluginOptions);
    };

    return Plugin;
  }(g.AbstractRendererPlugin);

  exports.CircleRendererContribution = CircleRendererContribution;
  exports.EllipseRendererContribution = EllipseRendererContribution;
  exports.ImageRendererContribution = ImageRendererContribution;
  exports.LineRendererContribution = LineRendererContribution;
  exports.PathRendererContribution = PathRendererContribution;
  exports.Plugin = Plugin;
  exports.PolygonRendererContribution = PolygonRendererContribution;
  exports.PolylineRendererContribution = PolylineRendererContribution;
  exports.RectRendererContribution = RectRendererContribution;
  exports.StyleRendererFactory = StyleRendererFactory;
  exports.TextRendererContribution = TextRendererContribution;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
